For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • POSTCreate a termination for a lien
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationLien Terminations

Create a termination for a lien

POST
https://api.middesk.com/v1/liens/:lien_id/termination
POST
/v1/liens/:lien_id/termination
$curl -X POST https://api.middesk.com/v1/liens/lien_id/termination \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "packet_number": "TERM-12345"
>}'
1{
2 "id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
3 "lien_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
4 "status": "created",
5 "packet_number": "TERM-12345",
6 "created_at": "2025-01-07T12:00:00.000Z",
7 "updated_at": "2025-01-07T12:00:00.000Z"
8}
Creates a lien termination or returns existing one if already terminated
Was this page helpful?
Previous

List policy results for a business

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

lien_idstringRequired
Lien ID

Request

This endpoint expects an object.
packet_numberstringOptional

Packet number for the termination filing (optional - auto-generated if not provided)

Response

lien termination created
idstring
Lien termination ID
lien_idstring
Associated lien ID
statusstring
Termination status
packet_numberstring
Filing packet number
created_atstring
Creation timestamp
updated_atstring
Last update timestamp

Errors

404
Create Lien Termination Request Not Found Error
422
Create Lien Termination Request Unprocessable Entity Error